<?php
include("config.php");


$monto = 0;
$amonto = $monto;
$pagadas = "";

$id_pago = $_GET["id_pago"];
$id =0;


$ax = mysql_query("SELECT * FROM pago_mobil WHERE id_pago='$id_pago'");
while($rsx = mysql_fetch_array($ax)){
////////////////////////////////////////////////
$capital = $rsx["capital"];
$interes = $rsx["interes"];
$monto =  $rsx["total"];
$id =  $rsx["id_prestamo"];
///////////////////////////////////////////////
}


$m = mysql_query("UPDATE prestamos SET capital_pagado=capital_pagado - '$capital', interes_pagado=interes_pagado - '$interes', balance_capital = balance_capital + '$capital', balance_prestamo=balance_prestamo + '$monto'  WHERE id_prestamo='$id' AND estado_prestamo!='Anulado'");




$a = mysql_query("SELECT * FROM cuotas WHERE id_prestamo='$id' AND pagado>0 ORDER BY numero_cuota ASC");
while($rs = mysql_fetch_array($a)){
////////////////////////////////////////////////
	if($monto>0){
		revertir($rs["pagado"],$rs["id_cuota"]);
	}
///////////////////////////////////////////////
}



function revertir($pagado,$id_cuota){
global $monto;
global $amonto;

if($monto>$pagado){
$q1 = mysql_query("UPDATE cuotas SET balance=pagado WHERE 	id_cuota='$id_cuota'");	
	
$q0 = mysql_query("UPDATE cuotas SET pagado=0 WHERE 	id_cuota='$id_cuota'");

	$monto = $monto - $pagado;
	return;
	}
	
if($monto<$pagado){
       
$q0 = mysql_query("UPDATE cuotas SET pagado=pagado -'$monto', balance=balance + '$monto' WHERE 	id_cuota='$id_cuota'");

	$monto = 0;
	return;
	}
	
	
if($monto==$pagado){
	   
$q0 = mysql_query("UPDATE cuotas SET balance=balance + pagado WHERE 	id_cuota='$id_cuota'");

$q1 = mysql_query("UPDATE cuotas SET pagado=0 WHERE id_cuota='$id_cuota'");
$monto = 0;
return;
	}
	
	
	
}

$acd = mysql_query("SELECT * FROM cuotas WHERE pagado>0 AND id_prestamo='$id' ORDER BY id_cuota DESC LIMIT 1");
$rec = mysql_fetch_array($acd);
$numero_cuota = $rec["numero_cuota"];


$a = mysql_query("INSERT into movimientos
	  					SET fecha=NOW(), 
						monto='$amonto',
						concepto='anulacion_pago',
						credito=0,
						debito='$amonto',
						tipo='egreso';
						");
 
 
  
mysql_query("delete from pago_mobil WHERE id_pago='$id_pago'");
    
echo "<script>
	alert('PAGO ANULADO...');		
window.location.href='../vista/prestamospc.php';
</script>";


?>